// File autogenerated

#if !defined(ADAPTER1PROXY_H_INCLUDED)
#define ADAPTER1PROXY_H_INCLUDED

// TQt includes
#include <tqobject.h>

// TQt D-Bus includes
#include <tqdbuserror.h>

// forward declarations
class TQString;
class TQStringList;
class TQT_DBusConnection;
class TQT_DBusError;
class TQT_DBusMessage;
class TQT_DBusObjectPath;
class TQT_DBusProxy;
class TQT_DBusVariant;
template <typename K, typename V> class TQMap;

namespace org
{
namespace bluez
{

class Adapter1Proxy : public TQObject
{
    TQ_OBJECT
    
public:
    Adapter1Proxy(const TQString& service, const TQString& path, TQObject* parent = 0, const char* name = 0);

    virtual ~Adapter1Proxy();

    void setConnection(const TQT_DBusConnection& connection);

public:
    virtual bool StartDiscovery(TQT_DBusError& error);

    virtual bool SetDiscoveryFilter(const TQMap< TQString, TQT_DBusVariant >& properties, TQT_DBusError& error);

    virtual bool StopDiscovery(TQT_DBusError& error);

    virtual bool RemoveDevice(const TQT_DBusObjectPath& device, TQT_DBusError& error);

public:
    virtual void setDBusProperty(const TQString& name, const TQT_DBusVariant& variant, TQT_DBusError& error);
    virtual TQT_DBusVariant getDBusProperty(const TQString& name, TQT_DBusError& error) const;

    virtual TQString getAddress(TQT_DBusError& error) const;

    virtual TQString getName(TQT_DBusError& error) const;

    virtual void setAlias(const TQString& value, TQT_DBusError& error);
    virtual TQString getAlias(TQT_DBusError& error) const;

    virtual TQ_UINT32 getClass(TQT_DBusError& error) const;

    virtual void setPowered(bool value, TQT_DBusError& error);
    virtual bool getPowered(TQT_DBusError& error) const;

    virtual void setDiscoverable(bool value, TQT_DBusError& error);
    virtual bool getDiscoverable(TQT_DBusError& error) const;

    virtual void setDiscoverableTimeout(TQ_UINT32 value, TQT_DBusError& error);
    virtual TQ_UINT32 getDiscoverableTimeout(TQT_DBusError& error) const;

    virtual void setPairable(bool value, TQT_DBusError& error);
    virtual bool getPairable(TQT_DBusError& error) const;

    virtual void setPairableTimeout(TQ_UINT32 value, TQT_DBusError& error);
    virtual TQ_UINT32 getPairableTimeout(TQT_DBusError& error) const;

    virtual bool getDiscovering(TQT_DBusError& error) const;

    virtual TQStringList getUUIDs(TQT_DBusError& error) const;

    virtual TQString getModalias(TQT_DBusError& error) const;

protected:
    TQT_DBusProxy* m_baseProxy;

private: // Hiding copy constructor and assignment operator
    Adapter1Proxy(const Adapter1Proxy&);
    Adapter1Proxy& operator=(const Adapter1Proxy&);
}; // class Adapter1Proxy

}; // namespace bluez

}; // namespace org

#endif //ADAPTER1PROXY_H_INCLUDED

// End of File

