// File autogenerated

#if !defined(DEVICE1INTERFACE_H_INCLUDED)
#define DEVICE1INTERFACE_H_INCLUDED

// TQt includes
#include <tqmap.h>

// TQt D-Bus includes
#include <tqdbuserror.h>
#include <tqdbusmessage.h>
#include <tqdbusobject.h>

// forward declarations
class TQDomElement;
class TQString;
class TQStringList;
class TQT_DBusError;
class TQT_DBusObjectPath;
class TQT_DBusVariant;

namespace org
{
namespace bluez
{

class Device1Interface : public TQT_DBusObjectBase
{
public:
    virtual ~Device1Interface() {}

    static void buildIntrospectionData(TQDomElement& interfaceElement);

    static const TQCString interface() { return TQCString("org.bluez.Device1"); }

public:
    virtual void DisconnectAsyncReply(int asyncCallId);

    virtual void DisconnectAsyncError(int asyncCallId, const TQT_DBusError& error);

    virtual void ConnectAsyncReply(int asyncCallId);

    virtual void ConnectAsyncError(int asyncCallId, const TQT_DBusError& error);

    virtual void ConnectProfileAsyncReply(int asyncCallId);

    virtual void ConnectProfileAsyncError(int asyncCallId, const TQT_DBusError& error);

    virtual void DisconnectProfileAsyncReply(int asyncCallId);

    virtual void DisconnectProfileAsyncError(int asyncCallId, const TQT_DBusError& error);

    virtual void PairAsyncReply(int asyncCallId);

    virtual void PairAsyncError(int asyncCallId, const TQT_DBusError& error);

    virtual void CancelPairingAsyncReply(int asyncCallId);

    virtual void CancelPairingAsyncError(int asyncCallId, const TQT_DBusError& error);

protected:
    virtual void DisconnectAsync(int asyncCallId) = 0;

    virtual void ConnectAsync(int asyncCallId) = 0;

    virtual void ConnectProfileAsync(int asyncCallId, const TQString& UUID) = 0;

    virtual void DisconnectProfileAsync(int asyncCallId, const TQString& UUID) = 0;

    virtual void PairAsync(int asyncCallId) = 0;

    virtual void CancelPairingAsync(int asyncCallId) = 0;

protected: // implement sending replies
    virtual void handleMethodReply(const TQT_DBusMessage& reply) = 0;

protected: // usually no need to reimplement
    virtual bool handleMethodCall(const TQT_DBusMessage& message);

    void callDisconnectAsync(const TQT_DBusMessage& message);

    void callConnectAsync(const TQT_DBusMessage& message);

    void callConnectProfileAsync(const TQT_DBusMessage& message);

    void callDisconnectProfileAsync(const TQT_DBusMessage& message);

    void callPairAsync(const TQT_DBusMessage& message);

    void callCancelPairingAsync(const TQT_DBusMessage& message);

protected:
    TQMap<int, TQT_DBusMessage> m_asyncCalls;

}; // class Device1Interface

}; // namespace bluez

}; // namespace org

#endif //DEVICE1INTERFACE_H_INCLUDED

// End of File

